unit Drag4u2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, CustLib;

type
  TForm2 = class(TForm)
    TE2: TEdit;
    procedure ListBox1DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure ListBox1DragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure TE2EndDrag(Sender, Target: TObject; X, Y: Integer);
    procedure TE2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure TE2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.ListBox1DragDrop(Sender, Source: TObject; X, Y: Integer);
begin
  DropDrag(Sender, Source, X, Y);
end;

procedure TForm2.ListBox1DragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
  Accept:=True;
end;

procedure TForm2.TE2EndDrag(Sender, Target: TObject; X, Y: Integer);
begin
     DragAreaEnd;
end;

procedure TForm2.TE2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
     DragMouseDown (Form2, Sender, Button, Shift, X, Y);
end;

procedure TForm2.TE2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     DragMouseMove(Form2, Sender, Shift, X, Y);
end;

end.
