unit Drag4u1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, WinCrt,
  Drag4U2, Drag4U3, OleUnit, CustLib;

type
  TForm1 = class(TForm)
    LB1: TListBox;
    LB2: TListBox;
    Button1: TButton;
    TE1: TEdit;
    Button2: TButton;
    procedure LB1DragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure LB1DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure LB1EndDrag(Sender, Target: TObject; X, Y: Integer);
    procedure LB1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure LBox1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.LB1DragDrop(Sender, Source: TObject; X, Y: Integer);
begin
  DropDrag(Sender, Source, X, Y);
end;

procedure TForm1.LB1DragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
     Accept:=true;
end;

procedure TForm1.LB1EndDrag(Sender, Target: TObject; X, Y: Integer);
var
  I: Integer;
begin
     DragAreaEnd;
end;

procedure TForm1.LB1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
     DragMouseDown (Form1, Sender, Button, Shift, X, Y);
end;

procedure TForm1.LBox1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     DragMouseMove(Form1, Sender, Shift, X, Y);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     Form2.show;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
     OleForm.show;
end;

end.
